Subject: Re: bug#48365: 13.0.11; Dollars in distinct comments trigger math mode highlighting in text in-between

From: Ikumi Keita <[email-masked]>
Date: Wed, 12 May 2021 15:42:09 +0900

Oups, sorry, I sent my previous email just before I saw this message!

>>>>> Tassilo Horn <[email-masked]> writes:
> Hi Jean-François,
>>> I'm not sure what is worse.  The restriction to have at least
>>> balanced $ also in comments, or the now very restrictive workaround
>>> form.  We'll see if someone complains because that breaks his
>>> 
>>> % Workaround fix $.
>>> 
>>> comment fixes.
>> 
>> Hi Tassilo, sorry for causing all the trouble.

> Ah, always these users with their strange requirements and bogus
> documents! ;-)

>> I pulled your commit and it works. For me that's working solution.
>> 
>> Would it make sense to apply these rules:
>> 
>> 1. a $ in comments can never start math mode
>> 2. but it can and will always stop math mode

> Hm, at first I've thought that would be annoying but it seems to work
> quite well.  So I've pushed another commit implementing that.  Please
> report if that fits the bill.

> Bye,
> Tassilo

> _______________________________________________
> bug-auctex mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-auctex